Subject: Re: [Cfrg] Ways of Working

From: "Christopher Wood" <[email-masked]>
Date: Sat, 01 Jun 2019 11:35:09 -0700

Thanks for the update, Nick! As a contributor to CFRG drafts, I can 
confirm that GitHub has indeed improved the editorial workflow. The 
hash2curve draft is a good example of this process in action:

     https://github.com/chris-wood/draft-irtf-cfrg-hash-to-curve

Speaking with my GIT chair hat on, the process you describe below sounds 
like a fine start. Clearly, it may evolve over time as the needs of the 
group change.

Also, for reference, below is a list of tools that might help other RG 
participants working on drafts in GitHub. We’re working on improving 
them, so any and all feedback (on the referenced tool repositories or 
the GIT mailing list) is most welcome.

     https://github.com/ietf-gitwg/wg-materials/wiki/Tooling

Best,
Chris

On 23 May 2019, at 14:34, Nick Sullivan wrote:

> Dear CFRG,
>
> In an effort to improve the transparency and velocity of the CFRG 
> process,
> the chairs would like to introduce a supplementary tool for developing 
> and
> tracking the development of adopted drafts: GitHub.
>
> This tool has been adopted successfully in several IETF Working Groups 
> with
> positive results. GitHub has subjectively improved the quality and 
> velocity
> of the development of drafts by enabling tools such as the idnits tool
> <https://tools.ietf.org/tools/idnits/> to be run automatically, by 
> allowing
> WG members to provide specific editorial suggestions in the form of 
> Pull
> Requests, and by enabling editors to organize issues reported by the 
> WG.
>
> Once a draft has been adopted as an RG Document, the draft will be 
> given a
> dedicated repository on the CFRG Github organization (github.com/cfrg) 
> and
> draft editors will be given administrative rights to this repository. 
> The
> materials in the GitHub repository do not constitute IRTF documents 
> and
> drafts must still be formally submitted to the Datatracker. Links to 
> GitHub
> issues or Pull Requests may be referenced on-list for convenience.
>
> Any substantive decisions made during discussions on GitHub should be
> summarized on the list to solicit input from the broader community 
> before
> being incorporated into a draft. The research group chairs will 
> consult the
> working group mailing list on any issue that is potentially 
> contentious.
>
> This process roughly follows the suggestions put forth in Martin 
> Thomson's
> BCP draft on using Github in the IETF:
> https://tools.ietf.org/html/draft-ietf-git-using-github-00
>
> The use of GitHub is not mandatory. For now, using GitHub will be 
> optional
> for currently adopted drafts and recommended for future drafts.
>
> - Nick, Kenny, Alexey

> _______________________________________________
> Cfrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/cfrg